<?php
/**
 * @author Clark Tomlinson <clark@owncloud.com>
 * @since 1/20/15, 10:51 AM
 * @copyright 2015 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 */

namespace OCA\Firewall\Tests;


use OCA\Firewall\Migrator\RuleMigrator;
use Test\TestCase;

class RuleMigratorTest extends TestCase {

	/**
	 * @var RuleMigrator
	 */
	private $migrator;

	/**
	 * @var string
	 */
	private $oldRules = '[{"type": "condition","check": "upload","negate": true},{"type": "condition","check": "subnet","bits": 24},{"type": "condition","check": "regex","regex": "#^ios$#","criteria": "agent"},{"type": "condition","check": "time","begin": "9:00","end": "17:00"},{"type": "operator","operator": "or","count": 3}]';
	/**
	 * @var string
	 */
	private $migratedRules = '[{"condition":"or","rules":[{"id":"request","field":"request","type":"string","operator":"not_equal","value":"upload"},{"id":"subnet","field":"subnet","type":"string","operator":"equal","value":"subnet"},{"id":"regex","field":"regex","type":"string","operator":"equal","value":"userAgent||#^ios$#"},{"id":"time","field":"time","type":"string","operator":"between","value":["9:00 am +0000","5:00 pm +0000"]}]}]';

	public function setUp() {
		parent::setUp();
		$this->migrator = new RuleMigrator();
	}

	/**
	 *
	 */
	public function testRulesMigration() {

		$migration = $this->migrator->migrateRules($this->oldRules);

		$this->assertEquals($this->migratedRules, $migration, 'Rules Migration Failed');
	}
}
