<?php
/**
 * ownCloud
 *
 * @author Thomas Müller <deepdiver@owncloud.com>
 * @copyright (C) 2014 ownCloud, Inc.
 *
 * This code is covered by the ownCloud Commercial License.
 *
 * You should have received a copy of the ownCloud Commercial License
 * along with this program. If not, see <https://owncloud.com/licenses/owncloud-commercial/>.
 *
 */

/** @var $this OCP\Route\IRouter */
$this->create('shibboleth_set_timezone', 'timezone')
	->method('POST')
	->action('OCA\user_shibboleth\USER_SHIBBOLETH', 'setTimezone');

$this->create('shibboleth_get_password', 'get_new_password')
	->get()
	->action('OCA\user_shibboleth\USER_SHIBBOLETH', 'ajaxGetNewPassword');

$this->create('shibboleth_revoke_password', 'revoke_password')
	->post()
	->action('OCA\user_shibboleth\USER_SHIBBOLETH', 'ajaxRevokePassword');

OCP\API::register(
	'delete',
	'/cloud/users/{userid}/non_shib_password',
	array('OCA\user_shibboleth\Provisioning', 'deleteCredential'),
	'user_shibboleth',
	OC_API::ADMIN_AUTH
);
